Connect integration
curl --request POST \
--url https://app.outlit.ai/api/integrations/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "posthog",
"config": {
"apiKey": "phx_...",
"region": "us",
"projectId": "12345"
}
}
'import requests
url = "https://app.outlit.ai/api/integrations/connect"
payload = {
"provider": "posthog",
"config": {
"apiKey": "phx_...",
"region": "us",
"projectId": "12345"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'posthog',
config: {apiKey: 'phx_...', region: 'us', projectId: '12345'}
})
};
fetch('https://app.outlit.ai/api/integrations/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connected": true,
"connectionId": "<string>",
"alreadyConnected": true
}{
"error": "Invalid request"
}{
"error": "Invalid credentials"
}{
"error": "<string>",
"code": "<string>",
"feature": "<string>",
"plan": "<string>",
"currentConnections": 123,
"limit": 123
}{
"error": "Internal server error"
}Platform API
Connect integration
Connect a provider with direct credentials or create a browser-auth connection session.
POST
/
api
/
integrations
/
connect
Connect integration
Authorizations
Outlit API key using the Bearer ok_... format.
Body
application/json
Was this page helpful?
⌘I